SET DEFINE OFF;
whenever sqlerror exit sql.sqlcode ;

-- Ajout d'une colonne client_persid
ALTER TABLE ACCORDS.SB_RECETTE
 ADD (
    CLIENT_PERSID NUMBER
 );
ALTER TABLE ACCORDS.SB_RECETTE ADD (
  CONSTRAINT FK_REC_PERSID_CLIENT 
 FOREIGN KEY (CLIENT_PERSID) 
 REFERENCES GRHUM.PERSONNE (PERS_ID));

-- Ajout d'une colonne client_persid
ALTER TABLE ACCORDS.SB_DEPENSE
 ADD (
    FOURNIS_PERSID NUMBER
 );
ALTER TABLE ACCORDS.SB_DEPENSE ADD (
  CONSTRAINT FK_DEP_PERSID_FOURNIS 
 FOREIGN KEY (FOURNIS_PERSID) 
 REFERENCES GRHUM.PERSONNE (PERS_ID));
 
-- Maj de  la version 
Insert into ACCORDS.VERSION_HISTO (VH_ORDRE,VH_NUM,VH_DATE_EXEC,VH_LIBELLE) values (accords.VERSION_HISTO_SEQ.nextval,'2.1.0.1',to_date('08/02/2011','DD/MM/YYYY'),'Ajout clefs etrangeres SB_RECETTE.CLIENT_PERSID et SB_DEPENSE.FOURNIS_PERSID');
commit;